> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Tools



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /api/mcp/tool/search
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /api/mcp/tool/search:
    get:
      tags:
        - MCP
      summary: Search Tools
      operationId: search_tools_api_mcp_tool_search_get
      parameters:
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpToolSearchResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
components:
  schemas:
    McpToolSearchResponse:
      properties:
        organization_id:
          type: string
          title: Organization Id
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
        tools:
          items:
            $ref: '#/components/schemas/McpToolCatalogEntry'
          type: array
          title: Tools
      type: object
      required:
        - organization_id
        - tools
      title: McpToolSearchResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    McpToolCatalogEntry:
      properties:
        tool_name:
          type: string
          title: Tool Name
        tool_type:
          type: string
          title: Tool Type
        description:
          type: string
          title: Description
        connector_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connector Type
        data_source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Source Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        input_schema:
          additionalProperties: true
          type: object
          title: Input Schema
        output_schema:
          additionalProperties: true
          type: object
          title: Output Schema
      type: object
      required:
        - tool_name
        - tool_type
        - description
        - input_schema
        - output_schema
      title: McpToolCatalogEntry
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        details:
          additionalProperties: true
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````